Bug 1048788 - [abrt] dnf: __init__.py:183:install:ArchException: Used arch is unknown.
Summary: [abrt] dnf: __init__.py:183:install:ArchException: Used arch is unknown.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 20
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cfad80c1fe91435398b4f076d97...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 10:48 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-02-27 04:13 UTC (History)
6 users (show)

Fixed In Version: hawkey-0.4.11-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 13:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2014-01-06 10:48 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (2.23 KB, application/octet-stream)
2014-01-06 10:48 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2014-01-06 10:48:11 UTC
Description of problem:
Not sure but I think I tried to install an i686 package on my x86_64 system.

Version-Release number of selected component:
dnf-0.4.10-1.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /bin/dnf install tinyxml-devel tinyxml-devel.i?86
dso_list:       python-hawkey-0.4.7-1.fc20.x86_64
executable:     /bin/dnf
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
__init__.py:183:install:ArchException: Used arch is unknown.

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 240, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 63, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 122, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1456, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 299, in run
    return self.base.installPkgs(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 336, in installPkgs
    self.install(arg)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1518, in install
    self._goal.install(select=sltr)
  File "/usr/lib64/python2.7/site-packages/hawkey/__init__.py", line 157, in tweaked_fn
    return fn(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/hawkey/__init__.py", line 183, in install
    super(Goal, self).install(*args, **kwargs)
ArchException: Used arch is unknown.

Local variables in innermost frame:
self: <hawkey.Goal object at 0x29a3af0>
args: ()
kwargs: {'select': <dnf.selector.Selector object at 0x29a3f00>}

Comment 1 Ankur Sinha (FranciscoD) 2014-01-06 10:48:17 UTC
Created attachment 846016 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2014-01-06 10:48:19 UTC
Created attachment 846017 [details]
File: environ

Comment 3 Ales Kozumplik 2014-01-06 12:45:58 UTC
Ankur, this is an interesting one. I take it 'tinyxml-devel.i?86' was a typo?

Comment 4 Ales Kozumplik 2014-01-08 12:47:26 UTC
In any case it is reproducible. We should do what Yum does:

yum install tinyxml-devel.i?86

We will take a look.

Comment 5 Ales Kozumplik 2014-02-03 17:44:32 UTC
Jan please take a look. It's related to Subject parsing.

Comment 6 Honza Silhan 2014-02-24 14:47:54 UTC
fixed in the upstream.

Comment 7 Fedora Update System 2014-02-24 17:52:42 UTC
hawkey-0.4.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.11-1.fc20

Comment 8 Fedora Update System 2014-02-24 18:57:32 UTC
dnf-0.4.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.15-1.fc20

Comment 9 lnie 2014-02-25 06:07:49 UTC
packages above works fine

Comment 10 Fedora Update System 2014-02-25 07:51:38 UTC
Package hawkey-0.4.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.4.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3046/hawkey-0.4.11-1.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-02-26 13:52:57 UTC
dnf-0.4.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-02-27 04:13:17 UTC
hawkey-0.4.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.